#/bin/sh

# List
cd /app
DRONE_COMMIT_SHA=$(head -c 8 <<< $DRONE_COMMIT_SHA)

USERNAME=${USERNAME:-"DRONE CI/CD"}
AVATAR=${AVATAR:-"https://github.com/drone/brand/blob/master/logos/png/with-background/drone-logo-white-with-background@2x.png?raw=true"}

#Init
cp template.json build.json

#Build json
if [ "$DRONE_BUILD_STATUS" = "success" ]; then
    sed -i "s/\$COLOR/3795747/g" build.json
    sed -i "s/\$BUILD_STATE/Success/g" build.json
elif [ "$DRONE_BUILD_STATUS" = "failure" ]; then
    sed -i "s/\$COLOR/15409955/g" build.json
    sed -i "s/\$BUILD_STATE/Failed/g" build.json
fi

sed -i "s^\$COMMIT_MESSAGE^$(echo $DRONE_COMMIT_MESSAGE)^g" build.json
sed -i "s^\$WORKFLOW_URL^$DRONE_BUILD_LINK^g" build.json
sed -i "s^\$COMMIT_USER^$DRONE_COMMIT_AUTHOR^g" build.json
sed -i "s^\$COMMIT_HASH^$DRONE_COMMIT_SHA^g" build.json
sed -i "s^\$COMMIT_LINK^$DRONE_COMMIT_LINK^g" build.json
sed -i "s^\$EVENT^$DRONE_BUILD_EVENT^g" build.json
sed -i "s^\$BRANCH^$DRONE_REPO_BRANCH^g" build.json
sed -i "s^\$REPO_NAME^$DRONE_REPO^g" build.json
sed -i "s^\$REPO_LINK^$DRONE_REPO_LINK^g" build.json
sed -i "s^\$JOB_NAME^$DRONE_STAGE_NAME^g" build.json
sed -i "s^\$TIMESTAMP^$(date -Iseconds -d @$DRONE_BUILD_FINISHED)^g" build.json
sed -i "s^\$USERNAME^$USERNAME^g" build.json
sed -i "s^\$AVATAR^$AVATAR^g" build.json

# Curl
curl -X POST -H "Content-Type: application/json" -d "$(cat build.json)" $WEBHOOK_URL